<app-header [(headerData)]="homeHeaderData">
</app-header>

<section class="search_box_style jobs_top_gape">
    <div class="container">
        <h2>Job Search</h2>
        <form class="example-form">
            <div class="row">
                <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="field_style">
                        <mat-form-field>
                            <input matInput placeholder="Role">
                        </mat-form-field>
                    </div>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="field_style short_fields">
                        <mat-select [(ngModel)]="selectedValuecity" name="city" placeholder="Select City">
                            <mat-option *ngFor="let city of cities" [value]="city.value">
                                {{city.viewValue}}
                            </mat-option>
                        </mat-select>
                        <mat-form-field class="example-full-width">
                            <input matInput placeholder="Zip Pin">
                        </mat-form-field>
                    </div>
                </div>
                <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="field_style">
                        <mat-select [(ngModel)]="selectedValuedistance" name="distance" placeholder="Select Distance">
                            <mat-option *ngFor="let distance of distances" [value]="distance.value">
                                {{distance.viewValue}}
                            </mat-option>
                        </mat-select>
                    </div>
                </div>

            </div>

            <div class="btn_set">
                <div class="row">
                    <div class="col-md-4 col-md-offset-4 ">
                        <button mat-raised-button color="primary" matBadgeColor="accent" (click)="searchFilter()">
                            Search
                        </button>
                    </div>

                </div>

            </div>
        </form>

    </div>
</section>

<section class="joblisting" >
    <div class="container" style="display:block" id="top">
        <div class="row">
            <div class="col-md-12 col-sm-12 col-xs-12 serach_msg_text">
                <p>We found 10 jobs meeting your criteria.</p>
            </div>
            <ng-container *ngFor="let jobdetail of data">
                <div class="col-md-4 col-sm-6 col-xs-12">
                    <div class="job_box_style">
                        <a href="#" class="popup-link-style" (click)="setId(jobdetail.id)" data-toggle="modal" data-target="#job_detail">
                        <!-- <a href="#" class="popup-link-style" (click)="setId(jobdetail.id)" data-toggle="modal" data-target="#apply_now"> -->
                                
                                <span *ngIf="jobdetail.id == 1 && applied" style="float: right;color: green"><i style="color: green" class="fa fa-check-circle-o" aria-hidden="true"></i> Applied</span>
                                <span *ngIf="jobdetail.id == 1 && !applied" style="float: right;color: green"><i style="color: green" class="fa fa-star" aria-hidden="true"></i> RECOMMENDED</span>
                                

                            <h2>{{jobdetail.role}}</h2>
                            <h3>{{jobdetail.companyname}}</h3>
                            <span class="date_time_style">{{jobdetail.joblocation}}</span> 
                            <div class="box-content-style">
                            <p id="detail_content">{{jobdetail.detailpera | slice:0:120}}<span class="read_more_style">{{jobdetail.detailpera.length > 120 ? '... Show More': ''}}</span></p>
                           </div>
                        </a>
                    </div>

                </div>
            </ng-container>

        </div>

        <mat-paginator [length]="data2.length" [pageSize]="size" [pageIndex]="page" [pageSizeOptions]="[6, 12, 18,24]" (page)="getData($event)">
        </mat-paginator>
    </div>

</section>


<div class="modal fade job_detail_popup" id="job_detail" tabindex="-1" role="dialog" aria-labelledby="largeModal" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header" style="padding-top: 8px;padding-bottom: 8px;">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    
                            <button style="background-color: white;color: #f1b125;float: right;margin-right: 40px;padding: 0px 15px;" mat-raised-button color="primary"   matBadgeColor="accent"  data-dismiss="modal" data-toggle="modal" data-target="#apply_now">
                                Apply Now
                            </button>
                            
                    <span style="font-size:large;font-weight: bold;vertical-align: -webkit-baseline-middle;">
                        Job Details: {{selectedJobDetails.role}} (Job ID - {{selectedJobDetails.jobid}})
                    </span>
                </div>
                <div class="modal-body" style="display: flex">
                    <div style="flex: 3; padding-right: 5px;height: fit-content;">
                        <!-- <h3>{{selectedJobDetails.role}}</h3> -->
                        <div style="display: flex;background-color: #f5f5f5;padding-top: 10px">
                            <div style="flex: 1">
                                <ul>
                                    <li><span><strong>Date Posted</strong></span></li>
                                    <li><span><strong>Salary Estimate Range</strong></span></li>
                                    <li><span><strong>Job Type</strong></span></li>
                                    <li><span><strong>City</strong></span></li>
                                    <li><span><strong>Experience</strong></span></li>
                                </ul>
                            </div>
                            <div style="flex: 1">
                                <ul style="list-style: none;margin-left: 0px;padding-left: 0px">
                                    <li><span>{{selectedJobDetails.datetime}}</span>  </li>
                                    <li><span>25,000K - 50,000K</span>  </li>
                                    <li><span>Full-time</span>  </li>
                                    <li><span>{{selectedJobDetails.joblocation}}</span>  </li>
                                    <li><span>Mid-level</span>  </li>
                                    
                                </ul>
                            </div>
                        </div>
                        <br />
                        <span style="font-weight: bold"> Job Description</span>
                        <p>{{selectedJobDetails.detailpera}}</p>
                        
                        <div *ngIf="selectedJobDetails.principalResponsibilities.length>0">
                                <br />
                                <span style="font-weight: bold">Principal Responsibilities</span>
                            <ul >
                                <li *ngFor="let respo of selectedJobDetails.principalResponsibilities">{{respo}}</li>
                            </ul>
                        </div>
                        
                        <div *ngIf="selectedJobDetails.requiredQualifications.length>0">
                                <br />
                                <span style="font-weight: bold">Required Qualifications</span>
                            <ul >
                                <li *ngFor="let respo of selectedJobDetails.requiredQualifications">{{respo}}</li>
                            </ul>
                        </div>
                        
                        <div *ngIf="selectedJobDetails.preferredQualifications.length>0">
                            <br />
                            <span style="font-weight: bold">Preferred Qualifications</span>
                            <ul >
                                <li *ngFor="let respo of selectedJobDetails.preferredQualifications">{{respo}}</li>
                            </ul>
                        </div>
                        
                        <div *ngIf="selectedJobDetails.requiredSkills.length>0">
                            <br />
                            <span style="font-weight: bold">Required Skills</span>
                            <ul >
                                <li *ngFor="let respo of selectedJobDetails.requiredSkills">{{respo}}</li>
                            </ul>
                        </div>
                        
                        <br />
                        <span style="font-weight: bold">About Company</span>
                        <p style="opacity: 1;">{{selectedJobDetails.aboutCompany}}</p>
                        
                    
                    </div>
                    <div *ngIf="selectedJobDetails.id != 1" style="flex:2;display: flex;flex-direction: column;">
                        <div style="margin: 15px auto">
                            <button  mat-raised-button color="primary"   matBadgeColor="accent"  data-dismiss="modal">
                                Run Matcher
                            </button>
                        </div>  
                    </div>
                    <div *ngIf="selectedJobDetails.id == 1" style="flex:2;display: flex;flex-direction: column;height: fit-content;">
                        
                        <app-matcher-charts></app-matcher-charts>
                        
                        <div style="display: flex; justify-content: center;align-items: baseline;">
                            <div style="">
                                <label><input name="detailsoptions" style="margin-right: 5px;vertical-align: top"  type="radio" [value]="1" (change)="filterChange()" [(ngModel)]="detailsOption" >Exact Match Only </label>
                            </div>                
                            <div style="margin-left: 15px">
                                <label><input name="detailsoptions" style="margin-right: 5px;vertical-align: top" type="radio" [value]="2" (change)="filterChange()" [(ngModel)]="detailsOption" >M-Score Match</label>
                            </div>
                            <div style="margin-left: 15px" >
                                    <button style="background-color: #f1b125;height: 30px;color: white;box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);padding: 0px 16px;border-radius: 4px"    (click)="clearFilter()" >
                                            Clear
                                    </button> 
                            </div>
                                
                        </div>
                        <div style="display: flex;flex-direction: column">
                        <div style="margin: 15px 15px 0px 15px;display: flex;">
                                <div style="flex: 1;padding: 5px">
                                    <span style="display: block;margin-bottom: 5px;font-weight: bold ;margin-top: 0px">Skills Asked</span>
                                    <span style="display: block;margin-bottom: 5px;font-weight: bold ;margin-top: 0px;visibility: hidden;"> Hidden</span>
                                    <div *ngFor="let skillask of skillsAsked" style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;">
                                        <span [style.background-color]="skillask.color" style="width: 6px;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;">{{skillask.skill}}</span>
                                    </div>
                                    <br />
                                    
                                </div>
                                <div style="flex: 1;padding: 5px;">
                                        <span style="display: block;margin-bottom: 5px;font-weight: bold ;margin-top: 0px">Your Skills From</span>
                                        <span style="display: block;margin-bottom: 5px; font-weight: bold ;margin-top: 0px"> Cetera - Data Scientist</span>
                                    <div *ngFor="let yourSkill of yourSkills1" style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;">
                                        <span [style.background-color]="yourSkill.color" style="width: 6px;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;">{{yourSkill.skill}}</span>
                                    </div>
                                    
                                    <br />
                                    
                                    
                                </div>
                        </div>
                        <div style="margin: 0px 15px;display: flex;">
                                <div style="flex: 1;padding: 5px">
                                    
                                </div>
                                <div style="flex:1;padding: 5px">
                                    <span style="display: block;margin-bottom: 5px;font-weight: bold ;margin-top: 0px"> Envestnet - Data Science Intern</span>
                                    <div *ngFor="let previousRole of previousRoles1"  style="display: flex;margin-bottom: 5px; box-shadow: 0px 0px 8px #d6d6d6;">
                                        <span [style.background-color]="previousRole.color" style="width: 6px;margin-right: 3px"></span> <span style="padding: 3px 10px;flex: 1;">{{previousRole.skill}}</span>
                                    </div>
                                </div>
                        </div>
                        
                    </div>
                    </div>
                </div>
                <!--<div class="modal-footer">
                <button mat-raised-button color="primary"   matBadgeColor="accent" data-dismiss="modal">
                    Close
                    </button>
    
             </div> -->
            </div>
        </div>
    </div>
<app-apply-now (applyForJob)="applyForJobfn()"></app-apply-now>
